package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsStoreProductAttrScrm;

/**
 * 商品属性Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsStoreProductAttrScrmService 
{
    /**
     * 查询商品属性
     * 
     * @param id 商品属性ID
     * @return 商品属性
     */
    public FsStoreProductAttrScrm selectFsStoreProductAttrById(Long id);

    /**
     * 查询商品属性列表
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 商品属性集合
     */
    public List<FsStoreProductAttrScrm> selectFsStoreProductAttrList(FsStoreProductAttrScrm fsStoreProductAttr);

    /**
     * 新增商品属性
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 结果
     */
    public int insertFsStoreProductAttr(FsStoreProductAttrScrm fsStoreProductAttr);

    /**
     * 修改商品属性
     * 
     * @param fsStoreProductAttr 商品属性
     * @return 结果
     */
    public int updateFsStoreProductAttr(FsStoreProductAttrScrm fsStoreProductAttr);

    /**
     * 批量删除商品属性
     * 
     * @param ids 需要删除的商品属性ID
     * @return 结果
     */
    public int deleteFsStoreProductAttrByIds(Long[] ids);

    /**
     * 删除商品属性信息
     * 
     * @param id 商品属性ID
     * @return 结果
     */
    public int deleteFsStoreProductAttrById(Long id);

    List<FsStoreProductAttrScrm> selectFsStoreProductAttrByProductId(Long productId);
}
